function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var CourseDown = function CourseDown(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12 20.8a1.37 1.37 0 0 1-1.2-.8L3.46 5.83A1.85 1.85 0 0 1 3.43 4a1.81 1.81 0 0 1 1.62-.8H19a1.81 1.81 0 0 1 1.57.8 1.85 1.85 0 0 1 0 1.82L13.2 20a1.37 1.37 0 0 1-1.2.8zm-.2-1.54h-.05l.74.32zM5.05 4.8a.56.56 0 0 0-.26 0 1.31 1.31 0 0 0 .09.24L12 18.82l7.12-13.73a.55.55 0 0 0 .08-.26 1 1 0 0 0-.25 0z",
    fill: color
  }));
};

CourseDown.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
CourseDown.defaultProps = {
  color: '#000',
  size: '24'
};
export default CourseDown;