function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Help = function Help(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M16.69 12A4.71 4.71 0 0 1 12 16.7v2.76A7.46 7.46 0 0 0 19.44 12z",
    fill: color
  }), React.createElement("path", {
    d: "M12 4.53A7.45 7.45 0 0 0 4.53 12h2.74A4.72 4.72 0 0 1 12 7.28V4.53z",
    fill: color
  }), React.createElement("path", {
    d: "M16.69 12A4.7 4.7 0 0 1 12 16.7v2.75A7.45 7.45 0 0 0 19.45 12z",
    fill: color
  }), React.createElement("path", {
    d: "M12 19.58h-.13v-3H12A4.59 4.59 0 0 0 16.57 12v-.13h3V12A7.6 7.6 0 0 1 12 19.58zm.12-2.76v2.51a7.36 7.36 0 0 0 7.22-7.21h-2.53a4.83 4.83 0 0 1-4.7 4.7z",
    fill: color
  }), React.createElement("path", {
    d: "M12 4.54A7.43 7.43 0 0 0 4.53 12h2.74A4.73 4.73 0 0 1 12 7.28z",
    fill: color
  }), React.createElement("path", {
    d: "M7.4 12.12h-3V12A7.59 7.59 0 0 1 12 4.41h.12v3H12A4.59 4.59 0 0 0 7.4 12zm-2.75-.25h2.5a4.83 4.83 0 0 1 4.71-4.71v-2.5a7.36 7.36 0 0 0-7.21 7.21z",
    fill: color
  }), React.createElement("path", {
    d: "M12.12 19.58H12A7.59 7.59 0 0 1 4.41 12v-.12h3V12A4.59 4.59 0 0 0 12 16.57h.13zm-7.46-7.47a7.33 7.33 0 0 0 7.21 7.22v-2.51a4.83 4.83 0 0 1-4.7-4.71zm14.91 0h-3V12A4.6 4.6 0 0 0 12 7.4h-.12v-3H12a7.59 7.59 0 0 1 7.57 7.6zm-2.74-.24h2.49a7.33 7.33 0 0 0-7.2-7.21v2.49a4.86 4.86 0 0 1 4.71 4.72z",
    fill: color
  }), React.createElement("path", {
    d: "M15.39 5.45l-.32-.18a.24.24 0 0 1-.07-.33.24.24 0 0 1 .33-.09l.33.18a.24.24 0 0 1 .09.33.25.25 0 0 1-.36.09z",
    fill: color
  }), React.createElement("rect", {
    x: "19.33",
    y: "11.74",
    width: ".85",
    height: ".49",
    rx: ".25",
    ry: ".25",
    transform: "rotate(90 19.755 11.985)",
    fill: color
  }), React.createElement("rect", {
    x: "3.82",
    y: "11.74",
    width: ".85",
    height: ".49",
    rx: ".25",
    ry: ".25",
    transform: "rotate(90 4.245 11.985)",
    fill: color
  }), React.createElement("path", {
    d: "M15.39 18.53l-.32.18A.24.24 0 0 0 15 19a.24.24 0 0 0 .33.09l.33-.18a.24.24 0 0 0 .09-.33.25.25 0 0 0-.36-.05z",
    fill: color
  }), React.createElement("path", {
    d: "M8.55 5.5l.32-.19A.23.23 0 0 0 9 5a.24.24 0 0 0-.33-.08l-.33.18a.24.24 0 0 0-.09.33.27.27 0 0 0 .3.07z",
    fill: color
  }), React.createElement("path", {
    d: "M8.61 18.53l.32.18A.24.24 0 0 1 9 19a.24.24 0 0 1-.33.09L8.36 19a.24.24 0 0 1-.09-.33.25.25 0 0 1 .34-.14z",
    fill: color
  }), React.createElement("path", {
    d: "M4.15 12c0-.06-.19-6.17 4.46-6.8a5.26 5.26 0 0 1 6.8 0l-.12.14a5.09 5.09 0 0 0-6.58 0C4.15 6 4.34 11.92 4.34 12z",
    fill: color
  }), React.createElement("path", {
    d: "M11.46 20.08a3.46 3.46 0 0 1-2.87-1.3A6.25 6.25 0 0 1 4.15 12h.19a6 6 0 0 0 4.34 6.61c.07.11 1.84 2.81 6.57 0h.05a2.14 2.14 0 0 0 1.78-.26c.93-.58 2.11-2.15 2.49-6.37a6.36 6.36 0 0 0-4.15-6.61l.07-.18A6.58 6.58 0 0 1 19.85 12c-.32 3.45-1.19 5.64-2.58 6.51a2.38 2.38 0 0 1-1.91.29 7.72 7.72 0 0 1-3.9 1.28z",
    fill: color
  }));
};

Help.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Help.defaultProps = {
  color: '#000',
  size: '24'
};
export default Help;