function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Mark = function Mark(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M15 19a.63.63 0 0 1-.34-.1l-9-5.2a.71.71 0 0 1-.32-.44L4 7.55a.69.69 0 0 1 .46-.81L10.09 5a.66.66 0 0 1 .55.06l9 5.2a.69.69 0 0 1 .25.94l-4.29 7.43a.7.7 0 0 1-.6.37zm-8.4-6.33l8.17 4.71 3.61-6.24-8.17-4.72L5.5 7.87z",
    fill: color
  }), React.createElement("path", {
    d: "M9.13 11.87a2 2 0 0 1-1.05-.29 2.11 2.11 0 0 1-.78-2.89 2.12 2.12 0 0 1 2.89-.77 2.12 2.12 0 0 1-1.06 3.95zm0-2.87a.74.74 0 0 0-.64.37.73.73 0 0 0-.08.56.78.78 0 0 0 .35.46A.75.75 0 1 0 9.13 9z",
    fill: color
  }));
};

Mark.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Mark.defaultProps = {
  color: '#000',
  size: '24'
};
export default Mark;