function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var SoundOn = function SoundOn(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M13.62 18.82a.6.6 0 0 1-.34-.11l-4.72-3.24.69-1L13 17.05V7.08L9.26 9.64l-.7-1 4.64-3.22a.62.62 0 0 1 .63 0 .6.6 0 0 1 .33.54l.07 12.29a.62.62 0 0 1-.32.54.59.59 0 0 1-.29.03z",
    fill: color
  }), React.createElement("path", {
    d: "M8.91 15.58H7.52a3.53 3.53 0 0 1 0-7h1.39a.62.62 0 0 1 .61.61V15a.62.62 0 0 1-.61.58zM7.52 9.75a2.31 2.31 0 0 0 0 4.61h.78V9.75z",
    fill: color
  }), React.createElement("path", {
    d: "M15.84 14.86a.55.55 0 0 1-.45-.22.57.57 0 0 1 .09-.8 2.3 2.3 0 0 0 0-3.55.57.57 0 0 1-.09-.8.56.56 0 0 1 .8-.1 3.45 3.45 0 0 1 0 5.35.59.59 0 0 1-.35.12z",
    fill: color
  }), React.createElement("path", {
    d: "M17.76 16.17a.58.58 0 0 1-.45-.22.56.56 0 0 1 .09-.8 4 4 0 0 0 0-6.15.57.57 0 0 1 .71-.89 5.14 5.14 0 0 1 0 8 .59.59 0 0 1-.35.06z",
    fill: color
  }));
};

SoundOn.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
SoundOn.defaultProps = {
  color: '#000',
  size: '24'
};
export default SoundOn;