function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Bell = function Bell(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M16.26 17.3H7.74a.43.43 0 0 1-.43-.43v-5.64A4.75 4.75 0 0 1 12 6.43a4.75 4.75 0 0 1 4.69 4.8v5.64a.43.43 0 0 1-.43.43zm-8.1-.86h7.68v-5.21a3.84 3.84 0 1 0-7.68 0z",
    fill: color
  }), React.createElement("path", {
    d: "M16.26 17.49H7.74a.61.61 0 0 1-.61-.62v-5.64a4.93 4.93 0 0 1 4.87-5 4.93 4.93 0 0 1 4.87 5v5.64a.61.61 0 0 1-.61.62zM12 6.61a4.57 4.57 0 0 0-4.5 4.62v5.64a.24.24 0 0 0 .24.25h8.52a.24.24 0 0 0 .24-.25v-5.64A4.57 4.57 0 0 0 12 6.61zm3.84 10H8.16a.18.18 0 0 1-.16-.17v-5.21a4 4 0 1 1 8 0v5.21a.18.18 0 0 1-.16.18zm-7.5-.37h7.32v-5a3.66 3.66 0 1 0-7.32 0z",
    fill: color
  }), React.createElement("path", {
    d: "M12 19.22a2.32 2.32 0 0 1-2.29-2.35.43.43 0 1 1 .85 0 1.44 1.44 0 1 0 2.88 0 .43.43 0 1 1 .85 0A2.32 2.32 0 0 1 12 19.22z",
    fill: color
  }), React.createElement("path", {
    d: "M12 19.4a2.5 2.5 0 0 1-2.47-2.53.61.61 0 1 1 1.21 0 1.26 1.26 0 1 0 2.52 0 .61.61 0 1 1 1.21 0A2.5 2.5 0 0 1 12 19.4zm-1.87-2.78a.25.25 0 0 0-.24.25 2.11 2.11 0 1 0 4.22 0 .25.25 0 0 0-.24-.25.24.24 0 0 0-.24.25 1.63 1.63 0 1 1-3.26 0 .24.24 0 0 0-.24-.25z",
    fill: color
  }), React.createElement("path", {
    d: "M11 6.91a.46.46 0 0 1-.42-.49v-1.2A1.54 1.54 0 0 1 12 3.59a1.54 1.54 0 0 1 1.4 1.63V6.3a.43.43 0 1 1-.84 0V5.22a.57.57 0 1 0-1.12 0v1.2a.46.46 0 0 1-.44.49z",
    fill: color
  }), React.createElement("path", {
    d: "M11 7.11a.66.66 0 0 1-.62-.69v-1.2A1.73 1.73 0 0 1 12 3.4a1.73 1.73 0 0 1 1.6 1.82V6.3a.62.62 0 1 1-1.24 0V5.22a.41.41 0 0 0-.36-.45.42.42 0 0 0-.36.45v1.2a.66.66 0 0 1-.64.69zm1-3.32a1.33 1.33 0 0 0-1.21 1.43v1.2c0 .16.11.3.23.3s.23-.14.23-.3v-1.2a.75.75 0 1 1 1.5 0V6.3a.24.24 0 1 0 .46 0V5.22A1.33 1.33 0 0 0 12 3.79z",
    fill: color
  }));
};

Bell.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Bell.defaultProps = {
  color: '#000',
  size: '24'
};
export default Bell;