function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Bookmarks = function Bookmarks(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M12.56 13.22a.31.31 0 0 1-.19-.06l-1.46-.86a.4.4 0 0 1-.13-.52.37.37 0 0 1 .51-.12l.89.53V.87H3.37v1a.38.38 0 1 1-.75 0V.5A.38.38 0 0 1 3 .12h9.56a.38.38 0 0 1 .37.38v12.34a.37.37 0 0 1-.19.33.41.41 0 0 1-.18.05z",
    fill: color
  }), React.createElement("path", {
    d: "M12.56 13.34a.48.48 0 0 1-.26-.07l-1.45-.87a.49.49 0 0 1-.17-.68.5.5 0 0 1 .68-.17l.7.42V1H3.49v.9a.5.5 0 1 1-1 0V.5A.5.5 0 0 1 3 0h9.56a.49.49 0 0 1 .49.5v12.34a.47.47 0 0 1-.25.43.42.42 0 0 1-.24.07zm-1.46-1.61a.24.24 0 0 0-.21.12.25.25 0 0 0 .09.34l1.45.87a.28.28 0 0 0 .25 0 .25.25 0 0 0 .13-.22V.5a.25.25 0 0 0-.25-.25H3a.25.25 0 0 0-.25.25v1.39a.25.25 0 0 0 .25.25.25.25 0 0 0 .25-.25V.75h9.06V12.4l-1.08-.64a.28.28 0 0 0-.13-.03z",
    fill: color
  }), React.createElement("path", {
    d: "M10.15 15.88a.51.51 0 0 1-.24-.07L5.37 13.1.83 15.81a.47.47 0 0 1-.47 0 .47.47 0 0 1-.24-.41V3.06a.47.47 0 0 1 .47-.46h9.56a.46.46 0 0 1 .46.46v12.35a.49.49 0 0 1-.23.41.46.46 0 0 1-.23.06zm-4.78-3.79a.44.44 0 0 1 .24.07l4.07 2.43V3.53H1.05v11.06l4.08-2.43a.42.42 0 0 1 .24-.07z",
    fill: color
  }), React.createElement("path", {
    d: "M10.15 16a.61.61 0 0 1-.3-.08l-4.48-2.68-4.48 2.68a.59.59 0 0 1-.59 0 .57.57 0 0 1-.3-.51V3.06a.59.59 0 0 1 .59-.59h9.56a.6.6 0 0 1 .59.59v12.35a.59.59 0 0 1-.3.51.6.6 0 0 1-.29.08zm-4.78-3h.06L10 15.7a.34.34 0 0 0 .52-.29V3.06a.34.34 0 0 0-.34-.34H.59a.34.34 0 0 0-.34.34v12.35a.34.34 0 0 0 .17.3.32.32 0 0 0 .34 0zm4.44 1.85l-4.27-2.59a.36.36 0 0 0-.35 0L.93 14.81V3.41h8.88zM5.37 12a.61.61 0 0 1 .3.08l3.89 2.32V3.65H1.18v10.72l3.89-2.32a.61.61 0 0 1 .3-.05z",
    fill: color
  }));
};

Bookmarks.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Bookmarks.defaultProps = {
  color: '#000',
  size: '24'
};
export default Bookmarks;