function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Faq = function Faq(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M13 19.93A8 8 0 1 1 19.93 13 8 8 0 0 1 13 19.93zm.11-14.6a6.77 6.77 0 1 0 5.52 5.52 6.77 6.77 0 0 0-5.48-5.52z",
    fill: color
  }), React.createElement("path", {
    d: "M11 11.58a.26.26 0 0 1 .26-.26H12a1 1 0 0 0 1-1.06 1 1 0 0 0-1.09-1 1 1 0 0 0-.95 1H9.22a.08.08 0 0 1-.08-.08 2.78 2.78 0 0 1 1.66-2.57 2.87 2.87 0 1 1 2 5.35v.65a.26.26 0 0 1-.26.26h-1.31a.26.26 0 0 1-.26-.26z",
    fill: color
  }), React.createElement("path", {
    d: "M12.29 14.88a.76.76 0 0 1 .45.46.92.92 0 0 1-1 1.29.91.91 0 0 1-.77-.76.93.93 0 0 1 1.32-.99z",
    fill: color
  }));
};

Faq.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Faq.defaultProps = {
  color: '#000',
  size: '24'
};
export default Faq;