function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var Resize = function Resize(props) {
  var color = props.color,
      size = props.size,
      otherProps = _objectWithoutProperties(props, ["color", "size"]);

  return React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: size,
    height: size,
    viewBox: "0 0 24 24"
  }, otherProps), React.createElement("path", {
    d: "M4.73 10.86A.75.75 0 0 1 4 10.1V4.76A.75.75 0 0 1 4.73 4a.74.74 0 0 1 .72.76v5.34a.74.74 0 0 1-.72.76z",
    fill: color
  }), React.createElement("path", {
    d: "M9.45 5.52H4.73a.76.76 0 0 1 0-1.52h4.72a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M10.21 11.25a.71.71 0 0 1-.52-.25l-5.1-5.32a.8.8 0 0 1 0-1.08.72.72 0 0 1 1 0l5.13 5.4a.79.79 0 0 1 0 1.07.71.71 0 0 1-.51.18z",
    fill: color
  }), React.createElement("path", {
    d: "M18.91 10.48a.75.75 0 0 1-.73-.77v-5a.73.73 0 1 1 1.46 0v5a.75.75 0 0 1-.73.77z",
    fill: color
  }), React.createElement("path", {
    d: "M18.91 5.52h-4.73a.76.76 0 0 1 0-1.52h4.73a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M13.54 11.13a.73.73 0 0 1-.54-.23.8.8 0 0 1 0-1.08l4.89-5.11a.69.69 0 0 1 1 0 .78.78 0 0 1 0 1.08l-4.84 5.11a.71.71 0 0 1-.51.23z",
    fill: color
  }), React.createElement("path", {
    d: "M5.09 20a.75.75 0 0 1-.73-.76V13.9a.73.73 0 1 1 1.46 0v5.34a.75.75 0 0 1-.73.76z",
    fill: color
  }), React.createElement("path", {
    d: "M9.82 20H5.09a.76.76 0 0 1 0-1.52h4.73a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M5.8 19.29a.7.7 0 0 1-.51-.22.8.8 0 0 1 0-1.08l4.84-5.07a.7.7 0 0 1 1 0 .8.8 0 0 1 0 1.08l-4.81 5.07a.7.7 0 0 1-.52.22z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20a.74.74 0 0 1-.72-.76v-4.95a.74.74 0 0 1 .72-.77.75.75 0 0 1 .73.77v4.95a.75.75 0 0 1-.73.76z",
    fill: color
  }), React.createElement("path", {
    d: "M19.27 20h-4.72a.76.76 0 0 1 0-1.52h4.72a.76.76 0 0 1 0 1.52z",
    fill: color
  }), React.createElement("path", {
    d: "M18.81 19.48a.74.74 0 0 1-.51-.22l-5-5.26a.8.8 0 0 1 0-1.08.7.7 0 0 1 1 0l5 5.26a.8.8 0 0 1 0 1.08.74.74 0 0 1-.49.22z",
    fill: color
  }));
};

Resize.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
Resize.defaultProps = {
  color: '#000',
  size: '24'
};
export default Resize;